<?php
// This script just creates an awful lot of shared activity modules so that
// performance can be tested.
require_once(dirname(__FILE__).'/../../../config.php');
require_once(dirname(__FILE__).'/sharedactv.php');

// Get basic details and login
$course=sharedactv_get_magic_course();
$context=get_context_instance(CONTEXT_COURSE, $course->id);
require_login($course);

// Don't let just anyone do this...
require_capability('moodle/site:config',$context);

// Require some parameters
$userid=required_param('user',PARAM_INT);
$count=required_param('count',PARAM_INT);

print_header();

print "<p>Creating $count forums and $count wikis for user $userid</p><p>"; flush();

$date=date('c');

for($i=0;$i<$count;) {
    sharedactv_create_activity('forum',"Forum load test $date/$i","Summary",$userid);
    sharedactv_create_activity('ouwiki',"Wiki load test $date/$i","Summary",$userid);
    $i++;
    print '.';
    if(($i%10)==0) {
        print "$i ";
    }
    flush();
}

print '</p>';
print '<h2>Done</h2>';

print_footer();

?>